#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
# metaPackage.py
#  
#  Author: Laudeci Oliveira <laudeci@gmail.com>
#          Rafael Proença   <cypherbios@ubuntu.com>
# 
#  This program is free software; you can redistribute it and/or 
#  modify it under the terms of the GNU General Public License as 
#  published by the Free Software Foundation; either version 2 of the
#  License, or (at your option) any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
#  USA

import config
import datetime
import os
import utils
import sys

class mediaInfo(object):
	"""This class writes some infomation about the media created."""

	def __init__(self, filename=""):
		util = utils.SystemInfo()
		
		self.fileName = filename
		self.aocversion = config.VERSION
		self.distro = util.distro
		self.codename = util.codename
		self.arch = util.architecture
		self.date = datetime.date.today().strftime('%Y%m%d')
	
	def write(self):
		i= 0
		try:
			mFile = open(self.fileName,"w")
			mFile.write("aocversion = " + self.aocversion \
			+ "\ndistribution = " + self.distro \
			+ "\ncodename = " + self.codename \
			+ "\narchitecture = " + self.arch \
			+ "\n\ndate = " + self.date + "\n")
			return True
		except IOError:
			print "The file does not exist"
			return False
			
class aptDiskInfo(object):
	"""This class writes some infomation for apt about de disk source."""

	def __init__(self, filename="", media="CD1"):
		util = utils.SystemInfo()
		
		self.fileName = filename
		self.media = media
		self.distro = util.distro
		self.codename = util.codename
		self.arch = util.architecture
		self.date = datetime.date.today().strftime('%Y%m%d')
	
	def write(self):
		i= 0
		try:
			mFile = open(self.fileName,"w")
			content = "APTonCD for " + self.distro + ' ' + self.codename + ' - ' + self.arch + ' ' + self.date + ' ' + self.media
			mFile.write(content)
			print content
			return True
		except IOError:
			print "The file does not exist"
			return False
